std::fgetwc(3)

NAME
std::fgetwc - std::fgetwc

Synopsis
   Defined in header <cwchar>
   wint_t fgetwc( std::FILE* stream );
   wint_t getwc( std::FILE* stream );
   Reads the next wide character from the given input stream. getwc() may be
   implemented as a macro and may evaluate stream more than once.

Parameters
   stream - to read the wide character from

Return value
   The next wide character from the stream or WEOF if an error has occurred or the end
   of file has been reached. If an encoding error occurred, errno is set to EILSEQ.

See also
   fgetc gets a character from a file stream
   getc (function)
   fgetws gets a wide string from a file stream
           (function)
   fputwc writes a wide character to a file stream
   putwc (function)
   ungetwc puts a wide character back into a file stream
           (function)